org.apache.flume.agent.embedded

## Class EmbeddedAgentConfiguration

- java.lang.Object
- - org.apache.flume.agent.embedded.EmbeddedAgentConfiguration

-     @InterfaceAudience.Public
      @InterfaceStability.Stable
      public class EmbeddedAgentConfiguration
      extends Object

  Stores publicly accessible configuration constants and private configuration constants and methods.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CHANNEL` Prefix for channel properties
    `static String` | `CHANNEL_PREFIX` Prefix for passing configuration parameters to the channel
    `static String` | `CHANNEL_TYPE` Channel type, choices are `memory' or `file'
    `static String` | `CHANNEL_TYPE_FILE` File based channel which stores events in on local disk.
    `static String` | `CHANNEL_TYPE_MEMORY` Memory channel which stores events in heap.
    `static String` | `CHANNEL_TYPE_SPILLABLEMEMORY` Spillable Memory channel which stores events in heap.
    `static String` | `SEPERATOR`
    `static String` | `SINK_PROCESSOR` Prefix for sink processor properties
    `static String` | `SINK_PROCESSOR_PREFIX` Prefix for passing configuration parameters to the sink processor
    `static String` | `SINK_PROCESSOR_TYPE` Sink processor type, choices are `default', `failover' or `load_balance'
    `static String` | `SINK_PROCESSOR_TYPE_DEFAULT` Default sink processors which may be used when there is only a single sink.
    `static String` | `SINK_PROCESSOR_TYPE_FAILOVER` Failover sink processor.
    `static String` | `SINK_PROCESSOR_TYPE_LOAD_BALANCE` Load balancing sink processor.
    `static String` | `SINK_TYPE_AVRO` Avro sink which can send events to a downstream avro source.
    `static String` | `SINKS` Space delimited list of sink names: e.g.
    `static String` | `SINKS_PREFIX`
    `static String` | `SOURCE` Prefix for source properties
    `static String` | `SOURCE_PREFIX` Prefix for passing configuration parameters to the source
    `static String` | `SOURCE_TYPE` Source type, choices are `embedded'
    `static String` | `SOURCE_TYPE_EMBEDDED` Embedded source which provides simple in-memory transfer to channel.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SEPERATOR

          public static final String SEPERATOR

      See Also:
        Constant Field Values

    - #### SOURCE

          public static final String SOURCE

      Prefix for source properties
      See Also:
        Constant Field Values

    - #### CHANNEL

          public static final String CHANNEL

      Prefix for channel properties
      See Also:
        Constant Field Values

    - #### SINK_PROCESSOR

          public static final String SINK_PROCESSOR

      Prefix for sink processor properties
      See Also:
        Constant Field Values

    - #### SINKS

          public static final String SINKS

      Space delimited list of sink names: e.g. sink1 sink2 sink3
      See Also:
        Constant Field Values

    - #### SINKS_PREFIX

          public static final String SINKS_PREFIX

    - #### SOURCE_TYPE

          public static final String SOURCE_TYPE

      Source type, choices are `embedded'

    - #### SOURCE_PREFIX

          public static final String SOURCE_PREFIX

      Prefix for passing configuration parameters to the source

    - #### CHANNEL_TYPE

          public static final String CHANNEL_TYPE

      Channel type, choices are `memory' or `file'

    - #### CHANNEL_PREFIX

          public static final String CHANNEL_PREFIX

      Prefix for passing configuration parameters to the channel

    - #### SINK_PROCESSOR_TYPE

          public static final String SINK_PROCESSOR_TYPE

      Sink processor type, choices are `default', `failover' or `load_balance'

    - #### SINK_PROCESSOR_PREFIX

          public static final String SINK_PROCESSOR_PREFIX

      Prefix for passing configuration parameters to the sink processor

    - #### SOURCE_TYPE_EMBEDDED

          public static final String SOURCE_TYPE_EMBEDDED

      Embedded source which provides simple in-memory transfer to channel. Use this source via the put,putAll methods on the EmbeddedAgent. This is the only supported source to use for Embedded Agents.

    - #### CHANNEL_TYPE_MEMORY

          public static final String CHANNEL_TYPE_MEMORY

      Memory channel which stores events in heap. See Flume User Guide for configuration information. This is the recommended channel to use for Embedded Agents.

    - #### CHANNEL_TYPE_SPILLABLEMEMORY

          public static final String CHANNEL_TYPE_SPILLABLEMEMORY

      Spillable Memory channel which stores events in heap. See Flume User Guide for configuration information. This is the recommended channel to use for Embedded Agents.

    - #### CHANNEL_TYPE_FILE

          public static final String CHANNEL_TYPE_FILE

      File based channel which stores events in on local disk. See Flume User Guide for configuration information.

    - #### SINK_TYPE_AVRO

          public static final String SINK_TYPE_AVRO

      Avro sink which can send events to a downstream avro source. This is the only supported sink for Embedded Agents.

    - #### SINK_PROCESSOR_TYPE_DEFAULT

          public static final String SINK_PROCESSOR_TYPE_DEFAULT

      Default sink processors which may be used when there is only a single sink.

    - #### SINK_PROCESSOR_TYPE_FAILOVER

          public static final String SINK_PROCESSOR_TYPE_FAILOVER

      Failover sink processor. See Flume User Guide for configuration information.

    - #### SINK_PROCESSOR_TYPE_LOAD_BALANCE

          public static final String SINK_PROCESSOR_TYPE_LOAD_BALANCE

      Load balancing sink processor. See Flume User Guide for configuration information.

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.